*,*:before,*:after{
    box-sizing:border-box
}
*{
    margin:0
}
:root{
    font-synthesis:none;
    text-rendering:optimizeLegibility;
    -webkit-font-smoothing:antialiased;
    -moz-osx-font-smoothing:grayscale
}
input,button,textarea,select{
    font:inherit
}
p,h1,h2,h3,h4,h5,h6{
    overflow-wrap:break-word
}
a{
    text-decoration:none
}
@font-face{
    font-family:Max Sans;
    font-weight:300;
    font-display:block;
    src:url(/s/fonts/max-sans/MaxSans-Light.woff2) format("woff2"),url(/s/fonts/max-sans/MaxSans-Light.woff) format("woff")
}
@font-face{
    font-family:Max Sans;
    font-weight:400;
    font-display:block;
    src:url(/s/fonts/max-sans/MaxSans-Regular.woff2) format("woff2"),url(/s/fonts/max-sans/MaxSans-Regular.woff) format("woff")
}
@font-face{
    font-family:Max Sans;
    font-weight:500;
    font-display:block;
    src:url(/s/fonts/max-sans/MaxSans-Medium.woff2) format("woff2"),url(/s/fonts/max-sans/MaxSans-Medium.woff) format("woff")
}
@font-face{
    font-family:Max Sans;
    font-weight:600;
    font-display:block;
    src:url(/s/fonts/max-sans/MaxSans-DemiBold.woff2) format("woff2"),url(/s/fonts/max-sans/MaxSans-DemiBold.woff) format("woff")
}
@font-face{
    font-family:Max Sans;
    font-weight:700;
    font-display:block;
    src:url(/s/fonts/max-sans/MaxSans-Bold.woff2) format("woff2"),url(/s/fonts/max-sans/MaxSans-Bold.woff) format("woff")
}
html.vkui{
    height:auto
}
body{
    flex:1 1 auto;
    height:100%;
    display:flex;
    flex-direction:column;
    font-family:var(--font)
}
body:has(.force-dark-theme){
    background:#0d0d0d
}
body:has(.header--open){
    overflow:hidden
}
img{
    max-width:100%;
    height:auto
}
:root{
    --font: Max Sans, TT Commons, sans-serif;
    color-scheme:light dark;
    --sign-primary: #272727;
    --sign-secondary: #49494b;
    --sign-tertiary: #8b8b8b;
    --backgrounds-ground: #f8f8f8;
    --backgrounds-object-primary: #ebebeb;
    --sign-button: #ffffff;
    --backgrounds-top-bar-glass: #ffffff;
    --components-button-gradint-fill-1: #161f8a;
    --components-button-gradint-fill-2: #2d085f;
    --components-button-gradint-border-1: #ffffff;
    --components-button-gradint-border-2: #ffffff;
    --static-colors-blue: #007aff;
    --backgrounds-object-secondary: #ffffff;
    --components-ground-transparency-1: #f8f8f8;
    --components-blur-bg-4: #b186ff;
    --components-blur-bg-1: #a078c4;
    --components-blur-bg-2: #8083ff;
    --components-blur-bg-3: #93bfff;
    --components-ground-transparency-2: #f8f8f8;
    --static-colors-white: #ffffff;
    --static-colors-black: #272727;
    --components-secondary-button: #dedede;
    --components-gradient-text-1: #5a8cff;
    --components-gradient-text-2: #43d6ff;
    --components-gradient-text-3: #8f3fff;
    --components-button-hover-gradint-fill-1: #01c5c8;
    --components-button-hover-gradint-fill-2: #046ef4;
    --components-button-hover-gradint-fill-3: #572dff;
    --backgrounds-glass: #ffffff;
    --background-surface-primary: #ffffff;
    --background-accent-neutral-fade: #09090914;
    --common-icon-pattern: #007aff4d;
    --common-background-chat-background-pattern-gradient-step-1: rgba(0, 122, 255, .3);
    --common-background-chat-background-pattern-gradient-step-2: rgba(0, 122, 255, .3);
    --text-secondary: #0c0d0e85;
    --text-themed: #007aff;
    --border-radius-common-l: 16px;
    --spacing-s-half: 6px;
    --spacing-s: 8px;
    --spacing-m: 12px;
    --spacing-l: 16px;
    --background-tertiary: #0909090d;
    --text-negative: #ff303c;
    --divider-primary: #0c0d0e29;
    --text-tertiary: #0c0d0e85;
    --text-primary-inverse-static: #ffffff;
    --components-button-black-gradint-fill-1: rgba(39, 39, 39, 1);
    --components-button-black-gradint-fill-2: rgba(39, 39, 39, 1);
    --gradients-button-promo-default: radial-gradient( 136.12% 140.74% at 99.77% 99.04%, #8d28c8 0%, #7c42fa 20%, #007aff 80%, #609ceb 100% );
    --theme-background: linear-gradient(15deg, #99d5d7 7.05%, #80bcff 89.67%);
    --gb-color-1: #a078c4;
    --gb-color-2: #8083ff;
    --gb-color-3: #93bfff;
    --gb-color-4: #b186ff;
    --temp-beta-background: #09090914
}
@media(prefers-color-scheme:dark){
    :root{
        --sign-primary: #ffffff;
        --sign-secondary: #c3c3c3;
        --sign-tertiary: #b5b5b5;
        --backgrounds-ground: #0d0d0d;
        --backgrounds-object-primary: #383838;
        --sign-button: #ffffff;
        --backgrounds-top-bar-glass: #281d39;
        --components-button-gradint-fill-1: #161f8a;
        --components-button-gradint-fill-2: #2d085f;
        --components-button-gradint-border-1: #ffffff;
        --components-button-gradint-border-2: #ffffff;
        --static-colors-blue: #007aff;
        --backgrounds-object-secondary: #181818;
        --components-ground-transparency-1: #0d0d0d;
        --components-blur-bg-4: #630eff;
        --components-blur-bg-1: #aa4cff;
        --components-blur-bg-2: #3838ff;
        --components-blur-bg-3: #3a89fb;
        --components-ground-transparency-2: #0d0d0d;
        --static-colors-white: #ffffff;
        --static-colors-black: #272727;
        --components-secondary-button: #404040;
        --components-gradient-text-1: #5a8cff;
        --components-gradient-text-2: #43d6ff;
        --components-gradient-text-3: #8f3fff;
        --components-button-hover-gradint-fill-1: #01c5c8;
        --components-button-hover-gradint-fill-2: #046ef4;
        --components-button-hover-gradint-fill-3: #572dff;
        --backgrounds-glass: #0d0d0dcd;
        --backgrounds-objects-secondary: #ffffff;
        --background-surface-primary: #17181c;
        --background-accent-neutral-fade: #ffffff17;
        --common-icon-pattern: #007aff4d;
        --common-background-chat-background-pattern-gradient-step-1: rgba(80, 91, 199, .3);
        --common-background-chat-background-pattern-gradient-step-2: rgba(80, 91, 199, .3);
        --text-secondary: #e7e7e780;
        --text-themed: #007aff;
        --background-tertiary: #ffffff17;
        --text-negative: #ce4257;
        --divider-primary: #ffffff1f;
        --text-tertiary: #ffffff70;
        --text-primary-inverse-static: #ffffff;
        --components-button-black-gradint-fill-1: rgb(22, 31, 138);
        --components-button-black-gradint-fill-2: rgba(45, 8, 95, 1);
        --gradients-button-promo-default: radial-gradient( 136.12% 140.74% at 99.77% 99.04%, #8d28c8 0%, #7c42fa 20%, #007aff 80%, #609ceb 100% );
        --theme-background: linear-gradient(15deg, #0e0e11 7.05%, #0e0e11 89.67%);
        --gb-color-1: #aa4cff;
        --gb-color-2: #3838ff;
        --gb-color-3: #3a89fb;
        --gb-color-4: #630eff;
        --temp-beta-background: #ffffff99
    }
}
.force-dark-theme{
    --sign-primary: #ffffff;
    --sign-secondary: #c3c3c3;
    --sign-tertiary: #b5b5b5;
    --backgrounds-ground: #0d0d0d;
    --backgrounds-object-primary: #383838;
    --sign-button: #ffffff;
    --backgrounds-top-bar-glass: #281d39cb;
    --components-button-gradint-fill-1: #161f8a;
    --components-button-gradint-fill-2: #2d085f;
    --components-button-gradint-border-1: #ffffff;
    --components-button-gradint-border-2: #ffffff;
    --static-colors-blue: #007aff;
    --backgrounds-object-secondary: #181818;
    --components-ground-transparency-1: #0d0d0d;
    --components-blur-bg-4: #630eff;
    --components-blur-bg-1: #aa4cff;
    --components-blur-bg-2: #3838ff;
    --components-blur-bg-3: #3a89fb;
    --components-ground-transparency-2: #0d0d0d;
    --static-colors-white: #ffffff;
    --static-colors-black: #272727;
    --components-secondary-button: #404040;
    --components-gradient-text-1: #5a8cff;
    --components-gradient-text-2: #43d6ff;
    --components-gradient-text-3: #8f3fff;
    --components-button-hover-gradint-fill-1: #01c5c8;
    --components-button-hover-gradint-fill-2: #046ef4;
    --components-button-hover-gradint-fill-3: #572dff;
    --backgrounds-glass: #0d0d0dcd;
    --backgrounds-objects-secondary: #181818;
    --background-surface-primary: #17181c;
    --background-accent-neutral-fade: #ffffff17;
    --common-icon-pattern: #007aff4d;
    --common-background-chat-background-pattern-gradient-step-1: rgba(80, 91, 199, .3);
    --common-background-chat-background-pattern-gradient-step-2: rgba(80, 91, 199, .3);
    --text-secondary: #e7e7e780;
    --text-themed: #007aff;
    --gradients-button-promo-default: radial-gradient( 136.12% 140.74% at 99.77% 99.04%, #8d28c8 0%, #7c42fa 20%, #007aff 80%, #609ceb 100% );
    --theme-background: linear-gradient(15deg, #0e0e11 7.05%, #0e0e11 89.67%);
    --gb-color-1: #aa4cff;
    --gb-color-2: #3838ff;
    --gb-color-3: #3a89fb;
    --gb-color-4: #630eff;
    --temp-beta-background: #ffffff99
}